<?php

/**
 * @copyright (c) 2017 Chatwee sp. z o.o
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */

namespace chatwee\chatwee\acp;

class chatwee_module
{
    public $u_action;

    public function main($id, $mode)
    {
        global $user, $template, $request, $config;

        $this->tpl_name = "acp_chatwee";
        $this->page_title = $user->lang("ACP_CHATWEE_MOD");

        add_form_key("acp_chatwee");

        if($request->is_set_post("submit"))
        {
            if(!check_form_key("acp_chatwee"))
            {
                trigger_error("FORM_INVALID");
            }

            $chatwee_code = $request->variable("chatwee_code", "");
            $config->set("chatwee_code", $chatwee_code);

            $single_sign_on_enable = $request->variable("single_sign_on_enable", 0);
            $config->set("single_sign_on_enable", $single_sign_on_enable);

            $single_sign_on_chat_id = $request->variable("single_sign_on_chat_id", "");
            $config->set("single_sign_on_chat_id", $single_sign_on_chat_id);

            $single_sign_on_key_api = $request->variable("single_sign_on_key_api", "");
            $config->set("single_sign_on_key_api", $single_sign_on_key_api);

            $chatwee_global_moderators_as_admin = $request->variable("chatwee_global_moderators_as_admin", 0);
            $config->set("chatwee_global_moderators_as_admin", $chatwee_global_moderators_as_admin);

            trigger_error($user->lang("CONFIG_UPDATED") . adm_back_link($this->u_action));
        }

        $template->assign_vars(array(
            "S_CHATWEE_CODE" => isset($config["chatwee_code"]) ? $config["chatwee_code"] : false,
            "S_SINGLE_SIGN_ON_ENABLE" => isset($config["single_sign_on_enable"]) ? $config["single_sign_on_enable"] : false,
            "S_SINGLE_SIGN_ON_CHAT_ID" => isset($config["single_sign_on_chat_id"]) ? $config["single_sign_on_chat_id"] : false,
            "S_SINGLE_SIGN_ON_KEY_API" => isset($config["single_sign_on_key_api"]) ? $config["single_sign_on_key_api"] : false,
            "S_GLOBAL_MODERATORS_AS_ADMIN" => isset($config["chatwee_global_moderators_as_admin"]) ? $config["chatwee_global_moderators_as_admin"] : false,
            "U_ACTION" => $this->u_action,
        ));
    }
}
