<?php

/**
 * @package phpBB Extension - Chatwee
 * @copyright (c) 2017 Chatwee sp. z o.o
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */

namespace chatwee\chatwee\sso;

class sso_user {

	public function __construct(
		\chatwee\chatwee\sso\http_client $http_client
	)
	{
		$this->http_client = $http_client;
	}

	public function register($parameters)
	{
		$request_parameters = array(
			'login' => $parameters['login'],
			'isAdmin' => $parameters['isAdmin'] ? 1 : 0,
			'avatar' => $parameters['avatar'],
		);

		$this->http_client->get('sso-user/register', $request_parameters);
		$userId = $this->http_client->get_response_object();
		return $userId;
	}

    public function login($parameters)
    {
		$request_parameters = array(
			'userId' => $parameters['userId'],
		);

		if(isSet($parameters["userIp"]))
		{
			if(filter_var($parameters["userIp"], FILTER_VALIDATE_IP, FILTER_FLAG_IPV4))
			{
				$request_parameters["userIp"] = $parameters["userIp"];
			}
		}

		$this->http_client->get('sso-user/login', $request_parameters);
		$sessionId = $this->http_client->get_response_object();
		return $sessionId;
    }

	public function remove_session($parameters)
	{
		$request_parameters = array(
			'sessionId' => $parameters['sessionId'],
		);

		$this->http_client->get('sso-user/remove-session', $request_parameters);
	}

	public function validate_session($parameters)
	{
		$request_parameters = array(
			'sessionId' => $parameters['sessionId'],
		);

		$this->http_client->get('sso-user/validate-session', $request_parameters);
		$validation_response = $this->http_client->get_response_object();

		return $validation_response;
	}

	public function logout($parameters)
	{
		$request_parameters = array(
			'userId' => $parameters['userId'],
		);

		$this->http_client->get('sso-user/logout', $request_parameters);
	}

    public function edit($parameters)
    {
		$request_parameters = array(
			'userId' => $parameters['userId'],
			'login' => $parameters['login'],
			'avatar' => $parameters['avatar'],
		);

		if(isSet($parameters['isAdmin']))
		{
			$request_parameters['isAdmin'] = $parameters['isAdmin'] ? 1 : 0;
		}

		$this->http_client->get('sso-user/edit', $request_parameters);
    }
}
