<?php

/**
 * @package phpBB Extension - Chatwee
 * @copyright (c) 2017 Chatwee sp. z o.o
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */

namespace chatwee\chatwee\sso;

class sso_utils
{
	public function __construct(
		\phpbb\request\request $request
	)
	{
		$this->request = $request;
	}

	public function get_user_ip()
	{
        $httpClientIp = $this->request->server('HTTP_CLIENT_IP', '');

        $httpXForwardedFor = $this->request->server('HTTP_X_FORWARDED_FOR', '');

        if(!empty($httpClientIp))
        {
            $ip = $httpClientIp;
        }
        elseif(!empty($httpXForwardedFor))
        {
            $ip = $httpXForwardedFor;
        }
        else
        {
            $ip = $this->request->server('REMOTE_ADDR', '');
        }

        return $ip;
	}
}
